/* 
   $Id: sgdefmenubar.c,v 1.2 2001/04/10 08:03:15 sho Exp $

   Copyright (C) 2001 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of sgwm.

   sgwm is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   sgwm is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with sgwm; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#include "sgwm.h"
#include "sgdefmenubar.h"
#include <gtk/gtklabel.h>
#include <gtk/gtkpixmap.h>
#include "sgwmtop.h"

GtkWidget *sgdefmenubar_new(SGWMWidget *sgwm)
{
    GdkPixmap *pm;
    GdkBitmap *mask;
    GtkWidget *wpm;

    pm = gdk_pixmap_create_from_xpm(sgwm->top->window,&mask,
              &sgwm->top->style->bg[GTK_STATE_NORMAL],
		PIXMAPDIR "/sikigami-str-small.xpm");
    if (pm != NULL && (wpm =  gtk_pixmap_new(pm,mask)) != NULL) {
	return wpm;
    } else {
	return gtk_label_new("Sikigami");
    }
}
